Debian Bug report logs - #509186
[Installation-Report] D-I doesn't check for available space in /var before downloading packages

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Didier Raboud <didier@raboud.com>

Date: Fri, 19 Dec 2008 13:03:02 UTC

Severity: normal

Tags: confirmed

Merged with 435769, 468481

Fix blocked by 130550: aptitude: Warn or act accordingly if low on free space.

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#509186; Package installation-reports. (Fri, 19 Dec 2008 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <didier@raboud.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 19 Dec 2008 13:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <didier@raboud.com>
To: submit@bugs.debian.org
Subject: [Installation-Report] Failure in KVM 2Gb
Date: Fri, 19 Dec 2008 14:01:01 +0100
[Message part 1 (text/plain, inline)]
Package: installation-reports

Boot method: netinst in kvm
Image version: 
http://cdimage.debian.org/cdimage/daily-builds/daily/20081218-1/amd64/
(Downloaded with jigdo: md5sum OK)
Date: 19 december 2008

Machine: KVM emulator on a Dell Latitude D630 amd64
Processor:	QEMU Virtual CPU version 0.9.1
Memory:		MemTotal: 123648 kB
Partitions:	(image attached)
Output of lspci -knn (or lspci -nn): (image attached)

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [E]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [E]
Install boot loader:    [ ]
Overall install:        [E]

Comments/Problems:

I used a 2Gb image, with encrypted LVM and automatic partitioning with 
separate /home, /usr, /var, /tmp partitions.

I then choosed "Desktop environement" and "Laptop" in the tasksel.

The installation failed with a short error (attached) telling that the 
step "Installation of packages" failed. Moving to another console and df'ing 
and 'cat /var/log/syslog' showed that /target/var was full and thus blocked the 
downloading of more packages.

I know that this can be avoided with the default choice (everything in 
single / ) and these partitioning receipts are hard to make.

Eventual solutions:
* Check that the download size will fit in /var and warn about this before the 
download.
* Once the error popped up, check if partitions are at 100% and mention it…

Regards, 

OdyX
-- 
Didier Raboud, proud Debian user.
CH-1802 Corseaux
didier@raboud.com
[df -h.png (image/png, inline)]
[lspci -knn.png (image/png, inline)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Sat, 22 Jan 2011 18:00:07 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <didier@raboud.com>:
Bug acknowledged by developer. (Sat, 22 Jan 2011 18:00:07 GMT) Full text and rfc822 format available.

Message #10 received at 509186-done@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 509186-done@bugs.debian.org
Date: Sat, 22 Jan 2011 17:56:37 +0000
Hi,

Thanks for your report.
Closing as it's an installation report from a debian installer version
which isn't supported anymore.
Feel free to test and report any issues against the current debian
installer release (Squeeze RC1) which supports more hardware and also
it's improved.
Thanks!

http://cdimage.debian.org/cdimage/squeeze_di_rc1/

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#509186; Package installation-reports. (Mon, 24 Jan 2011 14:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 24 Jan 2011 14:09:12 GMT) Full text and rfc822 format available.

Message #15 received at 509186@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: 509186@bugs.debian.org
Cc: Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Closing 509186
Date: Mon, 24 Jan 2011 15:05:39 +0100
[Message part 1 (text/plain, inline)]
reopen 509186
retitle 509186 [Installation-Report] D-I doesn't check for available space in /var before downloading packages
thanks

Le Saturday 22 January 2011 18:56:37 Miguel Figueiredo, vous avez écrit :
> Hi,
> 
> Thanks for your report.
> Closing as it's an installation report from a debian installer version
> which isn't supported anymore.
> Feel free to test and report any issues against the current debian
> installer release (Squeeze RC1) which supports more hardware and also
> it's improved.
> Thanks!
> 
> http://cdimage.debian.org/cdimage/squeeze_di_rc1/

Hi Miguel, and thanks for your message!

Unfortunately, this issue hasn't been solved since then, hence I am re-opening
this bug; re-title'ing it for clarity too. Please reassign to the correct d-i
component.

As for the issue, I think d-i should check for available space in /var before
launching the actual download of packages.

Cheers, 

OdyX

-- 
Didier Raboud, proud Debian Developer.
CH-1020 Renens
odyx@debian.org
[signature.asc (application/pgp-signature, inline)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 24 Jan 2011 14:09:15 GMT) Full text and rfc822 format available.

Changed Bug title to '[Installation-Report] D-I doesn't check for available space in /var before downloading packages' from '[Installation-Report] Failure in KVM 2Gb' Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 14:09:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#509186; Package installation-reports. (Mon, 24 Jan 2011 15:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 24 Jan 2011 15:03:08 GMT) Full text and rfc822 format available.

Message #24 received at 509186@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: "Didier 'OdyX' Raboud" <odyx@debian.org>, 509186@bugs.debian.org
Cc: Miguel Figueiredo <elmig@debianpt.org>
Subject: Re: Bug#509186: Closing 509186
Date: Mon, 24 Jan 2011 10:02:22 -0500
reassign 509186 debian-installer
forcemerge 435769 509186
block 435769 by 130550
thanks

On Mon, 24 Jan 2011 15:05:39 +0100, Didier 'OdyX' Raboud wrote:
> As for the issue, I think d-i should check for available space in /var before
> launching the actual download of packages.

This issue has been reported in #435769 already, although the correct
d-i component may be tasksel.
If I understand correctly, tasksel uses aptitude which apparently does
not handle low disk-space situations properly, see #130550.




Bug reassigned from package 'installation-reports' to 'debian-installer'. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 15:03:10 GMT) Full text and rfc822 format available.

Forcibly Merged 435769 468481 509186. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 15:03:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 509186: 130550 Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 15:03:12 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 30 Aug 2013 15:15:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:55:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.